/************************************************************************
**
** @(#)msrbutt.h	01/03/94	Chris Ahlstrom
**
**	This module interfaces C++ with code for handling the mouse as a
** button device.
**
*************************************************************************/

#if !defined(MSRBUTT_h)					// { MSRBUTT_h
#define MSRBUTT_h

#include "rbuttons.h"		// ResponseButton class and type declarations


/************************************************************************
** MouseResponseButton base class
*************************************************************************/

class MouseResponseButton : public ResponseButton
{

public:

    MouseResponseButton ();		// constructor

    virtual ~MouseResponseButton ();	// destructor
    virtual int readKey ();		// default support is keyboard

};


#endif							// } MSRBUTT_h

